> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/js-lib/namespace.md).

# Namespace

## Overview

XML Namespace of inline xml - as supported by the Rhino engine (but the support for direct XML inside javascript source code - as proposed by standards (Ecma-357) - is deprecated).

## Properties Summarized

| Type                                                     | Name              | Summary                                                    |
| -------------------------------------------------------- | ----------------- | ---------------------------------------------------------- |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [prefix](#prefix) | Identifies the prefix of this namespace, if applicable.    |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [uri](#uri)       | Identifies the namespace of this Namespace, if applicable. |

## Properties Detailed

### prefix

Identifies the prefix of this namespace, if applicable.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```js
var xmlElement = <xhtml:p xmlns:xhtml="http://www.w3.org/1999/xhtml">Hello World!</xhtml:p>;
var namespace = xmlElement.namespace();
application.output("Prefix: " + namespace.prefix); //will output: 'xhtml'
application.output("URI: " + namespace.uri); //will output: 'http://www.w3.org/1999/xhtml'
```

### uri

Identifies the namespace of this Namespace, if applicable.

**Type**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```js
var xmlElement = <xhtml:p xmlns:xhtml="http://www.w3.org/1999/xhtml">Hello World!</xhtml:p>;
var namespace = xmlElement.namespace();
application.output("Prefix: " + namespace.prefix); //will output: 'xhtml'
application.output("URI: " + namespace.uri); //will output: 'http://www.w3.org/1999/xhtml'
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/js-lib/namespace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
